function esn = esn( esnSpec )
%ESN Compiles a simple (classical) ESN from a specification.
% Format of the specification is outlined in esnSpecStruct.txt.
% by Mantas Lukosevicius

if nargin == 0
	% default values (most probably bad)
	esnSpec.inSize = 1;
	esnSpec.outSize = 1;
	esnSpec.size = 100;
	esnSpec.spectralRadius = 0.9;
	esn = compileEsnFromSpec( esnSpec );
	esn = class( esn, 'esn' );
elseif isa( esnSpec, 'esn' )
	esn = esnSpec;
else
	esn = compileEsnFromSpec( esnSpec );
	esn = class( esn, 'esn' );
end