function map = topolDist( size, center )
% returns a vector of Manhatan distances from the center in a given size map
% vector is concatenated columns of a 2D rectangular map
% by Mantas Lukosevicius

nr = size(1); %rows
nc = size(2); %columns

% coordinates of the center:
cr = mod(center-1,nr)+1;
cc = floor( (center-1)/nr )+1;

% cr column of the map
zerocol = [cr-1:-1:0, 1:nr-cr];

map = zeros( nc*nr, 1 );

for i = 1:nc
	map((i-1)*nr+1:i*nr) = zerocol + abs( i - cc );
end

end